Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Error Compiling from SVN
05-30-2013, 07:03 AM,
Error Compiling from SVN
I tried compiling today's SVN, following this guide:

I got this error message:

    CPP build/physics/fracturebody.o
src/physics/fracturebody.cpp: In member function ‘void FractureBody::setChildTransform(int, const btTransform&)’:
src/physics/fracturebody.cpp:116:60: error: no matching function for call to ‘btCompoundShape::updateChildTransform(int&, const btTransform&, bool)’
src/physics/fracturebody.cpp:116:60: note: candidate is:
/usr/include/bullet/BulletCollision/CollisionShapes/btCompoundShape.h:109:7: note: void btCompoundShape::updateChildTransform(int, const btTransform&)
/usr/include/bullet/BulletCollision/CollisionShapes/btCompoundShape.h:109:7: note:   candidate expects 2 arguments, 3 provided
scons: *** [build/physics/fracturebody.o] Error 1
scons: building terminated because of errors.

System: Ubuntu 64 bit, running in VMWare

Maybe I have the wrong Bullet version? Which version do I need and how do I get it? I'm a bit of a newbie with all this, but I would like to try to play around with gettext Wink
05-30-2013, 10:34 AM,
RE: Error Compiling from SVN
bullet > 2.77

ubuntu 12.10/13.04 should have at least 2.80

source code:
05-30-2013, 12:44 PM,
RE: Error Compiling from SVN
Thanks, I'll give it a try Smile
06-02-2013, 02:56 PM, (This post was last modified: 06-02-2013, 02:56 PM by GunChleoc.)
RE: Error Compiling from SVN
I didn't manage to find out which bullet version I have, so I grabbbed the current version, which solved the problem.

Here's the Bullet download link and installation instructions for future reference:

Forum Jump:

Users browsing this thread: 1 Guest(s)